Subject: Re: Last Call: <draft-ietf-ospf-manet-single-hop-mdr-03.txt> (Use of OSPF-MDR in Single-Hop Broadcast Networks) to Experimental RFC

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 7 Jun 2013 10:23:23 +0200

Hi Richard,

I send to the author of an IETF document a message but it was not
answered. I beleive that the question from the community was ignored,
I hope you understand the importance of community questions. Why does
the IETF name its documents RFCs, any one from the community can ask
questions even after the RFC is produced, so we SHOULD NOT be stoped
to comment on any document and the IETF SHOULD try to answer
communities questions, otherwise IETF SHOULD NOT request comments.
comments below,

On 6/7/13, Richard Ogier <[email-masked]> wrote:
> AB,
>
> As Joel pointed out, your questions should have been raised during the
> OSPF WG Last Call, which you did not participate in. You
> (inappropriately) posted questions on the MANET WG list after the OSPF
> WGLC was complete, and several people responded, most of them stating
> that RFC 5444 is not required for this document:

Please note that I got a message from IETF post or an AD post in MANET
WG, so I responded, and asked the author by their address (it was
appropriate/reasonable reaction). I may agree that I should send to
the origin WG, which I learn now, but only if that WG is open to
questions. I know I don't work in OPSF WG, but that does not mean any
one can stop me from commenting or asking questions outside that
blocked-WG. My questions were before the IETF last call (which is
enough).
>
> http://www.ietf.org/mail-archive/web/manet/current/msg15403.html
> http://www.ietf.org/mail-archive/web/manet/current/msg15406.html
> http://www.ietf.org/mail-archive/web/manet/current/msg15407.html
> http://www.ietf.org/mail-archive/web/manet/current/msg15408.html
>
> Although I should not be required to respond to your questions at this
> point,

I thought that within the IETF last call of the I-D, all the community
questions and comments are answered as long as the last call did not
end. Furthermore, the OPSF WG is blocking me (so no one unsubscribed
from the community can comment on the document) from sending my
thoughts yesterday even after I subscribed.

Thanks for your respond below,

AB
> I will provide a few additional reasons why RFC 5444 and DLEP are
> not relevant for this document. (These reasons also apply to the
> parallel document draft-ietf-ospf-manet-single-hop-or-02.)
>
> 1. This draft does not propose a new interface, it only describes how
> the interface previously specified in RFC 5614 (and RFC 5820 for the
> other draft) can be configured in the special case of a single-hop
> MANET. Therefore, your comments should have been directed to RFC 5614
> (and RFC 5820).
>
> 2. RFCs 5614 and 5820 describe MANET extensions to OSPF, and one of the
> goals was to minimize changes to OSPF, so we decided to use OSPF packet
> formats (with minimal changes), rather than MANET packet formats that
> were designed without OSPF in mind. (This point is also made in the last
> message listed above.)
>
> On the other hand, these are experimental documents, so your questions
> about using RFC 5444 and DLEP may be valid for future modifications to
> the proposed MANET extensions of OSPF (both RFCs 5614 and 5820). But
> they are not valid for draft-ietf-ospf-manet-single-hop-mdr or
> draft-ietf-ospf-manet-single-hop-or, not only because these two drafts
> have already completed WG Last Call, but also because they only describe
> how to configure RFCs 5614 and 5820 for the special case of a single-hop
> network.
>
> Richard
>
> On 6/6/13 3:15 AM, Abdussalam Baryun wrote:
>
>  > I send my request to the editors including questions but no reply from
>  > them to me. The thread [1] raised some issues, which is not mentioned
>  > in the I-D. The message [2] was ignored not answered (this is last
>  > reminder). The message [3] proposes using RFC5444 into this I-D, or
>  > raise the question of why not using MANET packet format within MANET
>  > domains (I need an answer).
>  >
>  > [1] http://www.ietf.org/mail-archive/web/manet/current/msg15400.html
>  > [2] http://www.ietf.org/mail-archive/web/manet/current/msg15412.html
>  > [3] http://www.ietf.org/mail-archive/web/manet/current/msg15418.html
>  >
>  > The I-D SHOULD not go forward if it still ignores the IETF community
> questions.
>  >
>  > Regards
>  > AB
>  >
>  > On 6/5/13, The IESG <[email-masked]> wrote:
>  >> The IESG has received a request from the Open Shortest Path First
> IGP WG
>  >> (ospf) to consider the following document:
>  >> - 'Use of OSPF-MDR in Single-Hop Broadcast Networks'
>  >> <draft-ietf-ospf-manet-single-hop-mdr-03.txt> as Experimental RFC
>  >>
>  >> The IESG plans to make a decision in the next few weeks, and solicits
>  >> final comments on this action. Please send substantive comments to the
>  >> [email-masked] mailing lists by 2013-06-19. Exceptionally, comments
> may be
>  >> sent to [email-masked] instead. In either case, please retain the
>  >> beginning of the Subject line to allow automated sorting.
>  >>
>  >> Abstract
>  >>
>  >>
>  >> RFC 5614 (OSPF-MDR) extends OSPF to support mobile ad hoc networks
>  >> (MANETs) by specifying its operation on the new OSPF interface of type
>  >> MANET. This document describes the use of OSPF-MDR in a single-hop
>  >> broadcast network, which is a special case of a MANET in which each
>  >> router is a (one-hop) neighbor of each other router. Unlike an OSPF
>  >> broadcast interface, such an interface can have a different cost
>  >> associated with each neighbor. The document includes configuration
>  >> recommendations and simplified mechanisms that can be used in
> single-hop
>  >> broadcast networks.
>  >>
>  >>
>  >>
>  >>
>  >> The file can be obtained via
>  >> http://datatracker.ietf.org/doc/draft-ietf-ospf-manet-single-hop-mdr/
>  >>
>  >> IESG discussion can be tracked via
>  >>
> http://datatracker.ietf.org/doc/draft-ietf-ospf-manet-single-hop-mdr/ballot/
>
>
>  >>
>  >>
>  >> No IPR declarations have been submitted directly on this I-D.
>
>
>

---

From: Stewart Bryant <[email-masked]>
Date: Fri, 07 Jun 2013 10:54:22 +0100

On 07/06/2013 09:23, Abdussalam Baryun wrote:
> Thanks for your respond below, AB

Thank you Richard and Abdussalam for reaching agreement
on this. I regard the issue as now closed.

Regards

Stewart Bryant
(speaking as responsible Area Director)

---

From: Richard Ogier <[email-masked]>
Date: Thu, 06 Jun 2013 15:08:58 -0700

AB,

Although I should not be required to respond to your questions at this 
point, I will provide a few additional reasons why RFC 5444 and DLEP are 
not relevant for this document. (These reasons also apply to the 
parallel document draft-ietf-ospf-manet-single-hop-or-02.)

Richard

questions.
IGP WG
may be
single-hop